Some plugins menu items don't function
Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: GUI

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11803

Description

Clicking the 'Plugins' menu and selecting "Fetch Python plugins..." has no effect on OS X. Nothing is reported to the console in a debug

build either. If the plugin system detects that there is a new plugin, and the "There is a plugin update available" link is present in the map

window, clicking this will open the plugin installer. This problem has been present for at least 2 weeks in trunk.

History

#1 - 2009-06-22 07:00 PM - John Tull

On further investigation, the following plugins that I have installed, when invoked, do nothing. I can only guess that there might be an api method used in

the failing modules different from the ones that work. Hopefully it will help find the problematic code:

Geoprocessing Tool

manageR

[[RefMap]]

Table Manager

Zoom to Point

Copyright Label

Add delimited Text Layer

DXF2shp converter

Interpolate Plugin

North Arrow

Quickprint

Mapserver Export

Find by Attribute

Image Map

Image Boundary

Mapsheet [[AutoGeoRef]]

[[MirrorMap]]

[[PostGIS]] Sql Editor

These plugins are working:

SPIT

[[PostGIS]] Manager

Georeferencer

OGR Layer Converter

PGQuery
#2 - 2009-06-23 12:50 AM - Borys Jurgiel

After a short comparition: All the above working plugins send the triggered() signal, while most of the not working send activated(). However two plugins:

Interpolation and Geoprocessing send trigerred() and you said don't work even so...

#3 - 2009-06-23 04:07 AM - Martin Dobias

The reason that activated() signal is not emitted is because it works only with qt3support libraries installed.

Mapserver export plugin and plugin installer can be easily fixed as they're inside qgis svn, but other plugins have to be fixed by their owners.

#4 - 2009-06-23 05:10 AM - Borys Jurgiel

Should be now fixed for all core plugins in trunk. Does e.g. Copyright Label or Add CSV plugins work now? I'll contact all external plugins authors and ask

for fix.

#5 - 2009-06-23 08:41 AM - John Tull

- Status changed from Open to Closed

- Resolution set to fixed

The core plugins I tested are now working. Thanks for uncovering the cause and identifying the fix. I've changed the ticket to 'fixed'.

#6 - 2010-04-07 10:33 AM - John Tull

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

This problem seems to have crept back into the qgis codebase. I've attached a fix for the mapserver export plugin.

#7 - 2010-04-07 11:10 AM - Borys Jurgiel

- Resolution set to fixed

- Status changed from Feedback to Closed

Fixed in commit:d037836c (SVN r13279). I'm also contacting other authors.

Files

bug1743fix.diff 774 Bytes 2010-04-07 John Tull
